/// <reference types="react" />
import { ChipVariant } from './types';
export declare function getIconFill(selected: boolean, disabled: boolean): string | number | ((props: {
    theme: import("../..").ThemeWithMode;
}) => string | number);
export declare function getHoverCursor(disabled: boolean, showClose: boolean, selected: boolean, isLoading: boolean): string;
export declare function getChipVariant(variant?: ChipVariant): import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
    onClick: () => void;
    children: import("react").ReactNode;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, import("./types").ChipStyleProps, never>;
